api_token.php: Session token management

API: opentdb.com:open-trivia
Endpoint: /api_token.php
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 531ms

Description

Request a new session token or reset an existing token. Session tokens are used to prevent receiving the same question twice during a session. Tokens expire after 6 hours of inactivity.

Parameters (2)

command (string, query, required)

Command to execute

Constraints: {'enum': ['request', 'reset']}

token (string, query, optional)

Existing token to reset (required when command=reset)

Examples (1)

Session token management probe-gate
curl 'https://opentdb.com/api_token.php'
import requests

resp = requests.get("https://opentdb.com/api_token.php")
data = resp.json()
import zingu_apis

api = zingu_apis.api("opentdb")
result = api.fetch("api_token.php")

for item in result:
    print(item)
const resp = await fetch("https://opentdb.com/api_token.php");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:51:07.627958 200 531ms
2026-04-15 03:14:18.156774 200 500ms
2026-04-14 03:37:17.818099 200 1714ms
2026-04-12 13:06:04.229916 200 476ms
2026-04-10 02:15:35.493913 200 499ms
2026-04-09 00:53:46.184792 200 501ms
2026-03-27T23:28:04.783200 200 352ms